/**
 * Phonegap DatePicker Plugin Copyright (c) Greg Allen 2011 MIT Licensed
 * Reused and ported to Android plugin by Daniel van 't Oever
 */
if (typeof cordova !== "undefined") {
	/**
	 * Constructor
	 */
	function Map() {
		this.options = {
				// Default options 
				"height":460,
				"atBottom":true,
				"lat":49.281468,
				"lng":-123.104446
			};
		this._callback;
	}
	Map.prototype.setMapData = function(options) {
			for (var v in options) {
				if (options.hasOwnProperty(v)) {
					this.options[v] = options[v];
				}
			}
			this._callback = options['buttonCallback'];
		};

	/**
	 * show - true to show the ad, false to hide the ad
	 */
	Map.prototype.showMap = function() {

		return cordova.exec(this._callback, failureCallback, 'MapPlugin', '',new Array(this.options));
	}

	function failureCallback(err) {
		console.log("mapPlugin.js failed: " + err);
	}

	cordova.addConstructor(function() {
		if (!window.plugins) {
			window.plugins = {};
		}
		window.plugins.map = new Map();
	});
};
